import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional()
}).strict();
export const DatabaseBackupSumAggregateInputObjectSchema: z.ZodType<Prisma.DatabaseBackupSumAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupSumAggregateInputType>;
export const DatabaseBackupSumAggregateInputObjectZodSchema = makeSchema();
